Package org.eclipse.jface.text.templates

## Class ContextTypeRegistry

- java.lang.Object
- - org.eclipse.text.templates.ContextTypeRegistry
  - - org.eclipse.jface.text.templates.ContextTypeRegistry

Direct Known Subclasses:
  `ContributionContextTypeRegistry`

    @Deprecated
    public class ContextTypeRegistry
    extends org.eclipse.text.templates.ContextTypeRegistry

Deprecated.
See `ContextTypeRegistry`
A registry for context types. Editor implementors will usually instantiate a registry and configure the context types available in their editor.

In order to pick up templates contributed using the `org.eclipse.ui.editors.templates` extension point, use a `ContributionContextTypeRegistry`.

Since:
  3.0

### Constructor Summary

Constructors
`ContextTypeRegistry()` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`void` `addContextType​(TemplateContextType contextType)` Deprecated. Adds a context type to the registry.
`Iterator<TemplateContextType>` `contextTypes()` Deprecated. Returns an iterator over all registered context types.
`TemplateContextType` `getContextType​(String id)` Deprecated. Returns the context type if the id is valid, `null` otherwise.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ContextTypeRegistry

    public ContextTypeRegistry()

Deprecated.

### Method Detail

#### addContextType

    public void addContextType​(TemplateContextType contextType)

Deprecated.
Description copied from class: `org.eclipse.text.templates.ContextTypeRegistry`
Adds a context type to the registry. If there already is a context type with the same ID registered, it is replaced.

Overrides:
  `addContextType` in class `org.eclipse.text.templates.ContextTypeRegistry`
Parameters:
  `contextType` - the context type to add

#### getContextType

    public TemplateContextType getContextType​(String id)

Deprecated.
Description copied from class: `org.eclipse.text.templates.ContextTypeRegistry`
Returns the context type if the id is valid, `null` otherwise.

Overrides:
  `getContextType` in class `org.eclipse.text.templates.ContextTypeRegistry`
Parameters:
  `id` - the id of the context type to retrieve
Returns:
  the context type if `name` is valid, `null` otherwise

#### contextTypes

    public Iterator<TemplateContextType> contextTypes()

Deprecated.
Description copied from class: `org.eclipse.text.templates.ContextTypeRegistry`
Returns an iterator over all registered context types.

Overrides:
  `contextTypes` in class `org.eclipse.text.templates.ContextTypeRegistry`
Returns:
  an iterator over all registered context types